# Contributing to Android Developer Roadmap 2022

## How to contribute

We'd love to accept your patches and contributions to this project. There are just a few small guidelines you need to follow.

## Preparing a pull request for review

This project is built with [Figma](https://www.figma.com/) which is one of the most used collaborative interface design tools. If you need to install the tool, you can download it [here](https://www.figma.com/downloads/) freely.

### Clone this repository

Firstly, clone this repository on your desktop using the below command.

```groovy
git clone https://github.com/skydoves/android-developer-roadmap
```

### Import the roadmap project

Next, import the roadmap project **Android Developer Roadmap 2022.fig** on your Figma like the below:

![Figma1](/images/Figma1.png)

### Edit the Design Element

After importing the file, you can edit the element by double-clicking each node. If you'd like to add a new node, you can copy-paste the previous nodes on the editor.

![Figma2](/images/Figma2.png)

### Export changes

After editing the roadmap, you should export two files:

- The **.fig** project file with the path **/figma/Android Developer Roadmap 2022.fig**.
- The **.png** file with the path **/images/android_developer_roadmap.png**.

Firstly, you can export the **.fig** project file on your **Figma > Menu -> File -> Save local copy...** like the below:

![Figma3](/images/Figma3.png)

Next, click the whole roadmap element and you can export the roadmap image by clicking the export on the right-side menu like the below:

![Figma4](/images/Figma4.png)

After exporting the roadmap image, make sure the name is **android_developer_roadmap.png**.

## Code reviews

All submissions, including submissions by project members, require review. We use GitHub pull requests for this purpose. Consult [GitHub Help](https://docs.github.com/en/github/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/about-pull-requests) for more information on using pull requests.
